<template>
	<view class="">

		<!-- 页面Header相关部分 -->
		<view class="header-box">
			<swiper class="swiper" :autoplay="true" :interval="2500" :duration="500">
				<swiper-item v-for="(item, index) in swipperAdList" :key="index" style="color: #007AFF;">
					<navigator open-type="navigate" :url="'../webview/webview?url=' + encodeURI(item.url)">
						<image class="banner-swipper-img" :src="item.thumbnail_pic_s" mode="scaleToFill"></image>
					</navigator>
				</swiper-item>
			</swiper>
			<!-- 图片遮罩 -->
			<!-- <image class="cirle" src="../../static/logo.png" mode="aspectFill" /> -->
			<!-- 两个选项按钮 -->
			<view class="card-header">
				<view class="card-one" @tap="gotoTab('/pages/feeds/feeds')">
					<image class="img" src="../../static/logo.png" mode="scaleToFill"></image>
					<view class="iright">
						<view class="title">
							精彩动态
						</view>
					</view>
				</view>
				<view class="card-one" @tap="gotoTab('/pages/me/me')">
					<image class="img" src="../../static/logo.png" mode="scaleToFill"></image>
					<view class="iright">
						<view class="title">
							个人中心
						</view>
					</view>
				</view>
			</view>
			<!-- Tab选项卡 -->
			<view class="tabs-box">
				<view class="one-nav nav-actived">推荐</view>
				<view class="one-nav">资讯</view>

			</view>
		</view>
	</view>
</template>

<script>
	import {
		getNews,
		getAdvert,
		getAdvert1
	} from '../../common/http.api.js'
	export default {
		data() {
			return {
				title: '首页',
				// 轮播
				swipperAdList: [{
					"uniquekey": "de46b4808c224a3d4410d2fbb31d2633",
					"title": "千里援满行 共迎英雄归",
					"date": "2022-01-06 09:48:00",
					"category": "头条",
					"author_name": "人民资讯",
					"url": "https://mini.eastday.com/mobile/220106094808941772633.html",
					"thumbnail_pic_s": "https://dfzximg02.dftoutiao.com/news/20220106/20220106094808_5d71d501b15a79147e1fa73726c0f629_1_mwpm_03201609.jpeg",
					"is_content": "1"
				}, {
					"uniquekey": "894d745e6bb7db52543073c8e64357bb",
					"title": "黄河旋风“5G＋智慧工厂”项目开工",
					"date": "2022-01-06 09:47:00",
					"category": "头条",
					"author_name": "人民资讯",
					"url": "https://mini.eastday.com/mobile/220106094746169569263.html",
					"thumbnail_pic_s": "https://dfzximg02.dftoutiao.com/news/20220106/20220106094746_cd1f4b5adbe2e50ecd020b1a412cf11f_1_mwpm_03201609.jpeg",
					"is_content": "1"
				}]
			}
		},
		onLoad() {

			if (!uni.getStorageSync('swipperAdList')) {
				getNews({
					params: {
						key: '4b657425e6c21d901f830cc487654131',
						type: 'top',
						page: 1,
						page_size: 3
					}
				}).then(res => {
					this.swipperAdList.push(res)
					uni.setStorageSync('swipperAdList', this.swipperAdList)
				})
			}


			console.log("最终结果:" + this.swipperAdList)


		},
		methods: {
			gotoTab(url) {
				uni.switchTab({
					url
				})
			}
		}
	}
</script>

<style lang="scss" scoped>
	#sns {
		background-color: #F1F1F1;
	}

	.card-header {
		display: flex;
		justify-content: center;
		padding: 10upx;
		
		.card-one {
			width: 35%;
			flex-direction: row;
			justify-content: center;
			margin-left: 20upx;
			margin-right: 20upx;
			
			.img {
				display: flex;
				width: 100%;
				height: 88upx;
			}
			.iright {
				display: flex;
				justify-content: center;
			}
		}

	}

	// 推荐/资讯 按钮样式
	.tabs-box {
		display: flex;
		flex-direction: row;
		justify-content: center;
		

		.one-nav {
			display: flex;
			width: 100upx;
			justify-content: center;
		}

	}

	.header-box {
		.swiper {
			.banner-swipper-img {
				width: 100%;
			}
		}
	}

	.cirle {
		align-items: baseline;
		width: 100%;
		margin-top: -100upx;
	}

	.content {
		display: flex;
		flex-direction: column;
		align-items: center;
		justify-content: center;
	}

	.logo {
		height: 200rpx;
		width: 200rpx;
		margin-top: 200rpx;
		margin-left: auto;
		margin-right: auto;
		margin-bottom: 50rpx;
	}

	.text-area {
		display: flex;
		justify-content: center;
	}

	.title {
		font-size: 36rpx;
		color: #8f8f94;
	}
</style>
